/*
	 Default values for new Credential Management tables in Discovery.
*/
insert into [AuthenticationType] select 0, 'None'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 0)
GO
insert into [AuthenticationType] select 1, 'Windows'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 1)
GO
insert into [AuthenticationType] select 2, 'SNMP'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 2)
GO
insert into [AuthenticationType] select 3, 'SNMPv3'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 3)
GO
insert into [AuthenticationType] select 4, 'SSH'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 4)
GO
insert into [AuthenticationType] select 5, 'VMWare'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 5)
GO
/*
	8.1 MacMDM
*/
insert into [AuthenticationType] select 6, 'VNCScreenShare'
	where not exists ( select * from [AuthenticationType] where AuthenticationTypeID = 6)
GO

insert into [SecurableType] select 0, 'None'
	where not exists ( select * from SecurableType where SecurableTypeID = 0)
GO
insert into [SecurableType] select 1, 'Site'
	where not exists ( select * from SecurableType where SecurableTypeID = 1)
GO
insert into [SecurableType] select 2, 'Device'
	where not exists ( select * from SecurableType where SecurableTypeID = 2)
GO



insert into [OwnerType] select 0, 'None'
	where not exists ( select * from OwnerType where OwnerTypeID = 0)
GO

